| FoxitPDFSDKforWeb v11.0.6 Archives Foxit PDF SDK for Web

Public Attributes | List of all members
SignedFormSignatureInfo Class Reference
PDF » form

Information regarding a signed form signature. More...

## Public Attributes
number | apFlag
| The AP flag used in the signature.
Array< number > | byteRange
| The byte range of the signature.
string | contact
| The contact information of the signer.
string | DN
| Provides the distinguished name of the signer, often formatted as an email or a DN (Distinguished Name). Used for uniquely identifying the signer, akin to a certificate's subject field.
string | filter
| The security handler used for the signature, for example: "Adobe.PPKLite" This field indicates the type of cryptographic security handler used to create the signature. It's crucial for determining how the signature should be processed or verified.
string | image
| The image data of the signature.
boolean | isLast
| Indicates whether the signature is the last one.
true | isSigned
| Indicates whether the form is signed.
boolean | isTimeStamp
| Indicates whether a time stamp is present.
false | isXFA
| Indicates whether the form is an XFA form. In the case of a signed form signature info, it is always false.
string | location
| The physical location or hostname where the document was signed.
IncludeExcludeMDPActionData | mdpAction
| Modification detection and prevention setting.
string | reason
| Specifies the reason why the document was signed This helps in explaining the purpose or context of the signature, useful for legal or auditing purposes.
SignatureType | signatureType
| The type of signature, if applicable.
string | signer
| Indicates the name or identifier of the signer or the system that performed the signing.
string | signTime
| The time (in local time) when the form was signed.
string | signTimeUTC
| The time (in UTC) when the form was signed.
string | subfilter
| Defines the format used for public key signatures within the security handler, for example: adbe.pkcs7.sha1 This property specifies the particular sub-type of signature format. The example value indicates a PKCS#7 signature with SHA-1 hashing.
string | text
| The text of the signature.

## Detailed Description

Information regarding a signed form signature.

Since
  11.0.0

@2025 Foxit Software Incorporated. All rights reserved.